Tax
INFO
Каждый ответ приходит в общем конверте — code, message, messages, status_code, time — а полезная нагрузка лежит в data. Таблицы ниже описывают содержимое data.
POST /tax/create
This method allows adding tax into the account.
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
name | string | Да | |
rate | number | Да | |
type | string | Да | Допустимые значения: included, added |
to_price | boolean | Да | |
is_manual | boolean | Да | |
organization_ids | string[] | Да | |
is_all | boolean | Да | |
is_all_categories | boolean | Да | |
is_all_suppliers | boolean | Да | |
supplier_ids | string[] | Нет | |
category_ids | string[] | Нет | |
item_added_ids | string[] | Нет | |
item_removed_ids | string[] | Нет |
{
"name": "VAT",
"rate": 7.25,
"type": "included",
"to_price": true,
"is_manual": false,
"organization_ids": [
"64e944999f719902a7ff641b"
],
"is_all": true,
"is_all_categories": false,
"is_all_suppliers": true,
"supplier_ids": [
"64e944999f719902a7ff641c"
],
"category_ids": [
"64e944999f719902a7ff641d"
],
"item_added_ids": [
"64e944999f719902a7ff641e"
],
"item_removed_ids": [
"64e944999f719902a7ff641f"
]
}Ответ
| Поле | Тип | Описание |
|---|---|---|
_id | string | |
name | string | |
rate | number | |
type | string | Допустимые значения: included, added |
is_all | boolean | |
is_all_categories | boolean | |
is_all_suppliers | boolean | |
supplier_ids | string[] | |
category_ids | string[] | |
item_added_ids | string[] | |
item_removed_ids | string[] | |
item_count | number | |
to_price | boolean | |
is_manual | boolean | |
organization_ids | string[] | |
last_payment_date | string (date-time) | |
last_payment_amount | number | |
calculated_amount | number | |
is_enabled | boolean |
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"_id": "64e944999f719902a7ff641b",
"name": "string",
"rate": 0,
"type": "included",
"is_all": false,
"is_all_categories": false,
"is_all_suppliers": false,
"supplier_ids": [
"string"
],
"category_ids": [
"string"
],
"item_added_ids": [
"string"
],
"item_removed_ids": [
"string"
],
"item_count": 0,
"to_price": false,
"is_manual": false,
"organization_ids": [
"string"
],
"last_payment_date": "2025-05-01T12:00:00Z",
"last_payment_amount": 0,
"calculated_amount": 0,
"is_enabled": false
},
"time": "2025-05-01T12:00:00Z"
}PUT /tax/update
This method allows updating saler-order in the account.
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
_id | string | Нет | |
name | string | Да | |
rate | number | Да | |
type | string | Да | Допустимые значения: included, added |
to_price | boolean | Да | |
is_manual | boolean | Да | |
organization_ids | string[] | Нет |
{
"_id": "64e944999f719902a7ff641b",
"name": "VAT",
"rate": 7.25,
"type": "included",
"to_price": true,
"is_manual": false,
"organization_ids": [
"64e944999f719902a7ff641b"
]
}Ответ
Структура ответа совпадает с POST /tax/create.
DELETE /tax/delete/{id}
Delete a tax
Параметры пути
| Параметр | Тип | Обязательно | Описание |
|---|---|---|---|
id | string | Да |
Тело запроса
Тело запроса не требуется.
Ответ
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": "ok",
"time": "2025-05-01T12:00:00Z"
}GET /tax/get-by-id/{id}
Get tax using its _id
Параметры пути
| Параметр | Тип | Обязательно | Описание |
|---|---|---|---|
id | string | Да |
Тело запроса
Тело запроса не требуется.
Ответ
Структура ответа совпадает с POST /tax/create.
POST /tax/get-all
Get all taxs
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
organization_id | string | Нет | |
type | string | Нет | Допустимые значения: included, added. По умолчанию: "included" |
is_manual | boolean | Нет | По умолчанию: false |
{
"organization_id": "64e944999f719902a7ff641b",
"type": "included",
"is_manual": false
}Ответ
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [
{
"_id": "64e944999f719902a7ff641b",
"name": "string",
"rate": 0,
"type": "included",
"is_all": false,
"is_all_categories": false,
"is_all_suppliers": false,
"supplier_ids": [
"string"
],
"category_ids": [
"string"
],
"item_added_ids": [
"string"
],
"item_removed_ids": [
"string"
],
"item_count": 0,
"to_price": false,
"is_manual": false,
"organization_ids": [
"string"
],
"last_payment_date": "2025-05-01T12:00:00Z",
"last_payment_amount": 0,
"calculated_amount": 0,
"is_enabled": false
}
],
"time": "2025-05-01T12:00:00Z"
}POST /tax/get-paging
Get taxs by paging
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
page | number | Да | По умолчанию: 1 |
limit | number | Да | По умолчанию: 20 |
organization_id | string | Нет | |
type | string | Нет | Допустимые значения: included, added. По умолчанию: "included" |
is_manual | boolean | Нет | По умолчанию: false |
{
"page": 1,
"limit": 20,
"organization_id": "64e944999f719902a7ff641b",
"type": "included",
"is_manual": false
}Ответ
| Поле | Тип | Описание |
|---|---|---|
code | number | system code of response. По умолчанию: 0 |
message | string | |
status_code | number | status code of response. По умолчанию: 200 |
messages | object | |
messages.uz | string | |
messages.ru | string | |
messages.en | string | |
time | string (date-time) | time of response |
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"code": 0,
"message": "Success",
"status_code": 200,
"messages": {
"uz": "Muvaffaqiyatli",
"ru": "Успешно",
"en": "Successful"
},
"time": "2025-05-01T12:00:00Z"
},
"time": "2025-05-01T12:00:00Z"
}POST /tax/get-items
Get tax-items
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
tax_id | string | Да | |
page | number | Да | По умолчанию: 1 |
limit | number | Да | По умолчанию: 20 |
{
"tax_id": "64e944999f719902a7ff641b",
"page": 1,
"limit": 20
}Ответ
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [
{
"_id": "64e944999f719902a7ff641b",
"created_at": "2025-05-01T12:00:00Z",
"is_material": true,
"is_product": true,
"item_id": "64e944999f719902a7ff641b",
"tax_id": "64e944999f719902a7ff641b",
"updated_at": "2025-05-01T12:00:00Z",
"item": {
"_id": "64e944999f719902a7ff641b",
"name": "Item Name",
"measure_id": "64e944999f719902a7ff641b",
"barcode": "1234567890123"
}
}
],
"time": "2025-05-01T12:00:00Z"
}GET /tax/get-deleted
Get deleted tax ids
Параметры запроса
| Параметр | Тип | Обязательно | Описание |
|---|---|---|---|
deleted_at | string | Да |
Тело запроса
Тело запроса не требуется.
Ответ
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [
"string"
],
"time": "2025-05-01T12:00:00Z"
}Эта страница сгенерирована из спецификации OpenAPI.